• ベストアンサー
  • 困ってます

synopticでrereadするとエラーが出る。

synopticでrereadするとエラーが出る。 knoppix6.0.1に付属するsynopticでrereadすると 次のようなエラーが出てしまいます。 An error occurred The following details are provided: E: Wow, you exceeded the number of descriptions this APT is capable of. E: Problem with MergeList /var/lib/dpkg/status E: The package lists or status file could not be parsed or opened. E: _cache->open() failed, please report. 設定を変更した点はないのですが、どうしたら正常に rereadできるでしょうか。 回答よろしくお願いします。

共感・応援の気持ちを伝えよう!

  • 回答数1
  • 閲覧数156
  • ありがとう数8

質問者が選んだベストアンサー

  • ベストアンサー
  • 回答No.1
  • yakan9
  • ベストアンサー率54% (2045/3780)

おそらく、 knoppix6.0.1CD-ROMからの起動ではないかと思います。 システムツール、Synapticパッケージマネージャーの、 "Reread"ではなく、"Reload"の間違いだと思います。 ご存知のように、CD-ROMは、読み込みだけで書き込みはできません。 Synapticは、大変大きなテーブルをダウンロードします。そのため搭載メモリだけでは、 あふれてしまうのです。 当方の搭載メモリは、768MBですが、同じエラーがでます。 3GBぐらいだと出ないと思われます。 では解決法としては、USBメモリを使い、USBメモリ起動できるパソコンであることが条件です。 そこに保存領域を確保しておくと可能です。 もしくは、6.0.1より古い、KNOPPIX5.3.1CD-ROMを作り、内蔵HDDに保存用ファイルを設定しておく方法もあります。 KNOPPIXのバージョンにより仕様変更され、以前は、CD/DVD-ROMからの起動しかできないパソコンが主流でした。 しかし、昨今はUSBメモリ起動もできるパソコンが多くなり、USBメモリに入れる方を主にデザインされてきているのだと勝手に解釈しております。

共感・感謝の気持ちを伝えよう!

質問者からのお礼

ご推察のとおり、私はCD-Rから起動しています。 また、ご指摘がありますように、rereadでなくreloadの誤りでした。 丁寧な回答をいただき、助かりました。 ありがとうございました。

関連するQ&A

  • hangame インストールでエラーになる

    お世話になります。 hangame「プロ野球チームをつくろう!」のダウンロード後のインストールで以下のエラーとなりインストールできません。どなたか対応方法を教えてください。 this installation package could not be opened. verify that the package exists and that you can access it, or contact the application vendor to verify that is a valid windows installer package.

  • apt-getによるapacheのインストールができません。

    whiteboxlinuxを利用しています。 apt-getでapacheをインストールしようとしているのですが、下記のエラーがでてインストールできません。 どこが間違っているのでしょうか。 チェックするところなど、教えていただけるとうれしいです。よろしくお願いいたします。 [root@host root]# apt-get install apache Reading Package Lists... Done Building Dependency Tree... Done Package apache has no available version, but exists in the database. This typically means that the package was mentioned in a dependency and never uploaded, has been obsoleted or is not available with the contents of sources.list However the following packages replace it: httpd E: Package apache has no installation candidate

  • ubuntuでのコンパイル

    Linux超初心者です。 今回困っていることはubutuでコンパイルができないことです。 ubuntuのバージョンは7.10 Gutsy Gibbonです。 教えてgooでも何個かそれに関する質問があったのですがそれを行ってもだめでした。 まず、ubuntuには開発環境が入っていないということでbuild-essentialをインストールしようとおもいました。 $ sudo apt-get install build-essential と入力したところ E: ロック /var/lib/dpkg/lock が取得できませんでした - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it? と返ってきてインストールできませんでした。 一応GUI画面でもやっとこうと思いでやりましたがSynapticに検索にすら引っかからず。。。 それで今度はubuntuに関するサイトからbuild-essentialのインストーラーをミラーサイトからダウンロードしてインストールを行ったのですが Error:Dependency is not satisfible: libc6-dev|libc-dev というエラーメッセージがでてまた無理でした。 それでそのエラーメッセージにあるlibc6-devをインストールしないといけないのかと思い。これも行ってみました。 ~$ sudo apt-get install libc E: ロック /var/lib/dpkg/lock が取得できませんでした - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it? とまた同じエラー $ sudo apt-get install libc6 E: ロック /var/lib/dpkg/lock が取得できませんでした - open (11 Resource temporarily unavailable) E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it? こちらも同じエラー。 よくわからないですがwhichというコマンドもためしておきました。 ~$ which gcc /usr/bin/gcc ディレクトリ指定されるって事はコンパイラ入ってるのかと思い、試しにhello worldをコンパイルしてみましたが、 $ gcc hello.c hello.c:6:19: error: stdio.h: No such file or directory hello.c: In function ‘main’: hello.c:10: 警告: incompatible implicit declaration of built-in function ‘printf’ だめでした。 書いてる情報が少なかったらごめんなさい。 とりあえず困っているのでよろしくお願いします。

  • aptのエラー

    FedoraCore1のサーバーで、aptを使用したアップグレードを行おうとするのですが、エラーが出ます。 ---- # apt-get -y install httpd Reading Package Lists... Done Building Dependency Tree... Done The following extra packages will be installed: httpd-devel The following packages will be upgraded httpd httpd-devel 2 upgraded, 0 newly installed, 0 removed and 40 not upgraded. Need to get 1204kB of archives. After unpacking 28.7kB disk space will be freed. Get:1 http://ayo.freshrpms.net fedora/linux/1/i386/updates httpd-devel 2.0.49-1.1 [145kB] Get:2 http://ayo.freshrpms.net fedora/linux/1/i386/updates httpd 2.0.49-1.1 [1059kB] Fetched 1204kB in 11s (107kB/s) apr-util-devel is needed by httpd-devel-2.0.49-1.1 gawk is needed by httpd-2.0.49-1.1 libaprutil-0.so.0 is needed by httpd-2.0.49-1.1 E: Transaction set check failed ----- 上記の、apr-util-devel, gawk は確認したところインストール済み、libaprutil-0.so.0 も $ ls -la libaprutil-0.so.0 lrwxrwxrwx 1 root root 21 5月 8 13:08 libaprutil-0.so.0 -> libaprutil-0.so.0.9.4 ということでちゃんとあるようです。 どうしたらうまくアップグレードできるのでしょう。ご存知でしたら教えてください。

  • postgres9のconfigureでエラー

    Solaris10にpostgres9.0.5をインストールしようとしています。 Solarisには現時点での最新パッチが当たっている状態です(詳細はちょっと不明) 以下のオプションでconfigureを行うと、エラーになります。 ./configure --prefix=/usr/local/postgres --without-readline --enable-thread-safety 以下エラー --------------------------------------------------------------- checking thread safety of required library functions... no configure: error: thread test program failed This platform is not thread-safe. Check the file 'config.log' or compile and run src/test/thread/thread_test for the exact reason. Use --disable-thread-safety to disable thread safety. --------------------------------------------------------------- config.logの中のエラーの内容 --------------------------------------------------------------- configure:28765: checking thread safety of required library functions configure:28798: gcc -m64 -o conftest -O2 -Wall -Wmissing-prototypes -Wpointer-arith -Wdeclaration-after-statement -Wend if-labels -fno-strict-aliasing -fwrapv -pthreads -pthreads -D_REENTRANT -D_THREAD_SAFE -D_POSIX_PTHREAD_SEMANTICS -D IN_CONFIGURE conftest.c -lz -lnsl -lsocket -lm -lpthread -lpthread >&5 Undefined first referenced symbol in file sched_yield /var/tmp//ccVp73Io.o collect2: ld returned 1 exit status ld: fatal: symbol referencing errors. No output written to conftest configure:28802: $? = 1 configure: program exited with status 1 --------------------------------------------------------------- thread-safetyを無効にすれば正常にインストールできます。 このエラーを回避するにはどうすればよいでしょうか? あまり参考にはならない情報かもしれませんが、9.0.4/9.1.1でも同様のエラーが出ます。

  • Windows8の起動エラー

    Windows8を起動すると下記のエラーが出るようになりました。 ---------------------------------------------------------------- Windows failed to start. A recent hardware of software change might be the cause. To fix the problem: 1..Insert your Windows installation disc and restart your computer. 2.Choose your language settings, and then click "next." 3. Click "Repair your computer." If you do not have this disc, contact your system administrator or computer manufacturer for assistance. File: \Boot\BCD Status: 0xc000000f Info The Boot Configuration Data for your PC is missing or contains .errors ------------------------------------------------------------------ 上記エラーが出るせいでデスクトップやMyドキュメント等に保存したデータをバックアップする事が出来ません。 別のPC(Win XP)で8が入ったHDDを外付けとして認識させてもどこにもデスクトップやドキュメントといったフォルダが存在しません。どうすればデスクトップ等に保存したデータを他のHDD等に移動させる事が出来るのか教えて下さいお願いします。

  • アプリケーションのインストールについて。

    KNOPPIX5.1をハードディスクにインストールしています。 理由は、リカバリディスクを作り忘れていて、HDをフォーマットしてしまったのと、 他のディストリビューションは、画面がずれたり、画面中に線がはいったりしてしまうのと、Ubuntuなどでは、フラッシュのページでは、システムごと巻き込んでフリーズしてしまうからです。 debianをいれたときは、画面中に線がでて、がっくりしました。 トラブルがないのが、唯一KNOPPIXなので、HDにいれてつかおうとおもいました。 理由は、DVD起動だと、内蔵HDや、コンパクトフラッシュにデータを保存できないからです。 (これもしってるひとがいれば教えて欲しいのですが) そのようなわけで、KNOPPIXをハードディスクにいれたいのですが、いろいろやってみましたが、わかりませんでした。そのようなわけで、ログをのせますので、どうぞ突っ込みいれてください。 root@box:/home/nekoyama# dpkg -i tar:/home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz/firefox dpkg: tar:/home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz/firefox の処理中にエラ ーが発生しました (--install): アーカイブにアクセスできません: そのようなファイルやディレクトリはありません 以下のパッケージの処理中にエラーが発生しました: tar:/home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz/firefox root@box:/home/nekoyama# apt-get install tar:/home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz/firefox パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 E: パッケージ tar: が見つかりません root@box:/home/nekoyama# apt-get install /home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz/firefox パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 E: パッケージ が見つかりません root@box:/home/nekoyama# apt-get install file:///home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 E: パッケージ file: が見つかりません root@box:/home/nekoyama# tar -xvzf file:///home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz rsh: file: Name or service not known tar: file\:///home/nekoyama/Desktop/firefox-2.0.0.13.tar.gz: open 不能: 入力/出 力エラーです tar: エラーを回復できません: 直ちに終了します gzip: stdin: unexpected end of file tar: Child returned status 2 tar: 処理中にエラーが起きましたが、最後まで処理してからエラー終了させました root@box:/home/nekoyama# tar -xvzf firefox-2.0.0.13.tar.gz tar: firefox-2.0.0.13.tar.gz: open 不能: そのようなファイルやディレクトリはあり ません tar: エラーを回復できません: 直ちに終了します tar: Child returned status 2 tar: 処理中にエラーが起きましたが、最後まで処理してからエラー終了させました root@box:/home/nekoyama# uncompress firefox-2.0.0.13.tar.gz uncompress: firefox-2.0.0.13.tar.gz: No such file or directory root@box:/home/nekoyama# apt-get install netselect http://www.mozilla-japan.org/products/firefox/ パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 パッケージ netselect はデータベースには存在しますが、利用できません。 おそらく、そのパッケージが見つからないか、もう古くなっているか、 あるいは別のソースからのみしか利用できないという状況が考えられます E: パッケージ netselect にはインストール候補がありません root@box:/home/nekoyama# apt-get install firefox パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 firefox はすでに最新バージョンです。 アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 1 個。 root@box:/home/nekoyama# apt-get install Firefox2.0 パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています... 完了 E: パッケージ Firefox2.0 が見つかりません root@box:/home/nekoyama#

  • 英語文献の翻訳に困っています。だれか助けてください

    Cognitive processes The Formal Operations period, as Piaget labeled the adolescent stage of cognitive development, is one of mature organization of facts and events, with sophisticated manipulation of materials and symbols. The person capable of formal operations views problems from several different vantage points, all without making a move. Problem or conflict resolution goes on largely as a matter of mental manipulation. The image of the expect chess player, quietly conjecturing moves and outcomes several steps ahead of the present position of the game, dealing simultaneously with many different contingencies, is an apt one for the cognitive portrait of the adolescent.

  • ubuntuでDVD観賞が・・・できない・・・ショボン・・

    困ってます・・。 基礎的な知識と、基本的なところで間違ってるような気がするので、 誰かズッバと間違ってるところを指摘してくれたらすごく嬉しいです!! ubuntuでDVDを観賞しようと思い、暗号化を解除するソフトウェアを導入すしようと試みました。 ターミナルを開き、 sudo apt-get install libdvdread3 と入力して、pass wordを入力しました。 ところがどうしてかうまくいきません・・。 pass wordの入力のしかたとか基本的なところで間違ってるような気がしますがどうなんでしょうか??? 経過は以下のとうりです。 kanegon@kanegon-laptop:~$ sudo apt-get install libdvdread3 Password: パッケージリストを読み込んでいます... 完了 依存関係ツリーを作成しています Reading state information... 完了 libdvdread3 はすでに最新バージョンです。 アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 82 個。 2 個のパッケージが完全にインストールまたは削除されていません。 0B のアーカイブを取得する必要があります。 展開後に追加で 0B のディスク容量が消費されます。 msttcorefonts (1.8ubuntu1) を設定しています ... warning: /usr/share/fonts/X11/truetype does not exist or is not a directory warning: /usr/lib/X11/fonts/truetype does not exist or is not a directory These fonts were provided by Microsoft "in the interest of cross- platform compatibility". This is no longer the case, but they are still available from third parties. You are free to download these fonts and use them for your own use, but you may not redistribute them in modified form, including changes to the file name or packaging format. proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です proxy URL http://:8080/ を解釈中にエラーが発生しました: ホスト名が不正です andale32.exe: No such file or directory All done, errors in processing 1 file(s) dpkg: msttcorefonts の処理中にエラーが発生しました (--configure): サブプロセス post-installation script はエラー終了ステータス 1 を返しました dpkg: 依存関係の問題により ubuntu-restricted-extras の設定ができません: ubuntu-restricted-extras は以下に依存 (depends) します: msttcorefonts ...しかし: パッケージ msttcorefonts はまだ設定されていません。 dpkg: ubuntu-restricted-extras の処理中にエラーが発生しました (--configure): 依存関係の問題 - 設定を見送ります 以下のパッケージの処理中にエラーが発生しました: msttcorefonts ubuntu-restricted-extras E: Sub-process /usr/bin/dpkg returned an error code (1) 自分では解決できそうにないので、 誰か教えていただけたら大変ありがたいです。 宜しくお願いいたします。

  • SCSIのHDDが3本さしてあるマシンから2本抜いたらI/Oエラーが頻発する

    こんにちは SCSIのHDDが3つ装着してあるLinuxサーバ(RedHat9)があります。 電源を落とし、HDDを2本抜いて、1つだけHDDを残した状態で 再度、電源を入れてRedHat9を再インストールしました。 インストールを終えて SSHでログインし、jdkなどの各種ソフトウェアの設定をしていたところ 次のコマンドを入力したときに、「入出力エラー」と表示されました。 chkconfig --list chkconfigコマンドが原因とは思いませんが、HDDから情報が取得できなくなったのか、ls でファイルを表示してもI/Oエラー、cd もできない、 vi も見つからない、など、どうにもならない状態になっています。 【聞きたいこと】 SCSIのHDDが3本装着されていたのを、減らすときは ディスクを物理的に外す以外にも作業が必要なのでしょうか? SCSI機器を扱うのは初めてなので、何か守るべき手順等があれば教えていただけないでしょうか? 【参考】 エラーがでた直後の/var/log/messages の一部です。 ------------------------------------- ostgres uid=500 euid=0 tty= ruser=postgres rhost= user=root Dec 5 18:29:34 TEST 12月 5 18:29:34 su(pam_unix)[3731]: authentication failure; logname=p ostgres uid=500 euid=0 tty= ruser=postgres rhost= user=root Dec 5 18:29:45 TEST 12月 5 18:29:45 su(pam_unix)[3733]: session opened for user root by p ostgres(uid=500) Dec 5 18:55:05 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 19:01:51 TEST sshd(pam_unix)[6589]: session opened for user root by (uid=0) Dec 5 19:09:44 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 19:39:35 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 19:43:16 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 19:45:53 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 19:56:08 TEST 12月 5 19:56:08 su(pam_unix)[6704]: session opened for user postgres by postgres(uid=0) Dec 5 19:59:04 TEST 12月 5 19:59:04 su(pam_unix)[6727]: session opened for user root by p ostgres(uid=500) Dec 5 20:00:33 TEST vsftpd: warning: can't get client address: Bad file descriptor Dec 5 20:02:56 TEST kernel: dpti0: SCSI error 1400-Device(0,0,0) hba_status=0x14, dev_stat us=0x0, cmd=0x2a Dec 5 20:08:04 TEST kernel: dpti0: SCSI error 1400-Device(0,0,0) hba_status=0x14, dev_stat us=0x0, cmd=0x2a Dec 5 20:08:52 TEST last message repeated 2 times Dec 5 20:11:10 TEST kernel: dpti0: SCSI Timeout-Device (0,0,0) hba status=0xa, dev status= 0x0, cmd=0x2a Dec 5 20:11:20 TEST kernel: dpti0: Trying to reset device Dec 5 20:11:20 TEST kernel: dpti0: Device reset not supported Dec 5 20:11:20 TEST kernel: dpti0: Bus reset: SCSI Bus 0: tid: 9 Dec 5 20:11:20 TEST kernel: dpti0: Bus reset success. Dec 5 20:11:35 TEST kernel: scsi: device set offline - not ready or command retry failed a fter bus reset: host 1 channel 0 id 0 lun 0